[yocto] [qa-tools][PATCH 2/4] scripts/full-test-cycle-wrapper: Add support for new 2.4 components

jose.perez.carranza at linux.intel.com jose.perez.carranza at linux.intel.com
Tue Jul 4 15:06:00 PDT 2017


From: Jose Perez Carranza <jose.perez.carranza at linux.intel.com>

Add support for new packages supported for 2.4 release and update
components list according to release version.

Signed-off-by: Jose Perez Carranza <jose.perez.carranza at linux.intel.com>
---
 scripts/full-test-cycle-wrapper.sh | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

diff --git a/scripts/full-test-cycle-wrapper.sh b/scripts/full-test-cycle-wrapper.sh
index 7dcd62e..6b62d7f 100755
--- a/scripts/full-test-cycle-wrapper.sh
+++ b/scripts/full-test-cycle-wrapper.sh
@@ -89,7 +89,7 @@ create_yocto(){
    create_test_run "${1}" "core-image-sato-sdk_ANYQEMU"
 
    #QEMUs Autos
-   ENVIRONMENTS=("qemu-x86" "qemuarm" "qemuarm64" "qemumips" "qemumips64" "qemuppc" "qemux86-64")
+   ENVIRONMENTS=("qemu-x86" "qemuarm" "qemuarm64" "qemumips" "qemumips64" "qemuppc" "qemux86-64", "qemux86-64-WIC", "qemux86-WIC")
    EXECUTION_TYPE="AUTO"
    create_test_run "${1}" "core-image-sato-sdk_ANYQEMU"
 
@@ -218,6 +218,14 @@ create_test_cycle(){
 		       OPTIONAL="UI"
 		       create_test_run "${1}" $OPTIONAL
 		       ;;
+"Package Management Issues")
+	               ENVIRONMENTS=("Any Supported Distro")
+	               EXECUTION_TYPE="MANUAL"
+	               #This case test plan name is diferent from product name
+	               TEST_PLAN="--test-plan Package-Management-Updates"
+	               create_test_run "${1}"
+															                          ;;
+
   esac
 }
 
@@ -296,7 +304,21 @@ source venv/bin/activate
 
 ## Define components by t ype of test cycle
 if [[ $TYPE == "YOCTO" ]]; then
-    COMPONENTS=("ADT" "BitBake" "BSP/QEMU" "CROPS" "Eclipse Plugin" "eSDK" "General Runtime" "Kernel" "Meta-yocto" "OE-Core" "Runtime" "Toaster")
+    case $VERSION in
+	    "2.1")   COMPONENTS=("ADT" "BitBake" "BSP/QEMU" "Eclipse Plugin" "General Runtime" "Meta-yocto" "OE-Core" "Runtime" "Toaster")
+	             ;;
+	    "2.2")   COMPONENTS=("ADT" "BitBake" "BSP/QEMU" "Eclipse Plugin" "eSDK" "General Runtime" "Meta-yocto" "OE-Core" "Runtime" "Toaster")
+	             ;;
+	    "2.3")   COMPONENTS=("ADT" "BitBake" "BSP/QEMU" "CROPS" "Eclipse Plugin" "eSDK" "General Runtime" "Kernel" "Meta-yocto" "OE-Core" "Runtime" "Toaster")
+	             ;;
+	    "2.4")   COMPONENTS=("ADT" "BitBake" "BSP/QEMU" "CROPS" "Eclipse Plugin" "eSDK" "General Runtime" "Kernel" "Meta-yocto" "OE-Core" "Runtime" "Toaster" "Package Management Issues")
+	             ;;
+	       \?)
+		     echo "ERROR: INAVLID RELEASE VERSION"
+		     exit 1
+		     ;;
+    esac
+
 else
     COMPONENTS=("BSP/QEMU")
 fi
-- 
2.11.0




More information about the yocto mailing list